Get Match Booster configuration
curl --request GET \
--url https://api.hightouch.com/api/v1/models/{modelId}/match-booster \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/models/{modelId}/match-booster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/models/{modelId}/match-booster",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enabled": true,
"settingsModelId": 123,
"regions": [
{
"region": "us",
"householdExpansion": true,
"ctvMatching": true,
"enrichmentSchedule": {
"interval": {
"unit": "hour",
"quantity": 2
}
}
}
],
"columnMappings": [
{
"column": "<string>",
"idType": "<string>"
}
]
}"Internal Server Error"API Reference
Get Match Booster configuration
Get a model’s Match Booster configuration. For audience models the configuration is resolved from the parent model.
GET
/
models
/
{modelId}
/
match-booster
Get Match Booster configuration
curl --request GET \
--url https://api.hightouch.com/api/v1/models/{modelId}/match-booster \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/models/{modelId}/match-booster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/models/{modelId}/match-booster",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enabled": true,
"settingsModelId": 123,
"regions": [
{
"region": "us",
"householdExpansion": true,
"ctvMatching": true,
"enrichmentSchedule": {
"interval": {
"unit": "hour",
"quantity": 2
}
}
}
],
"columnMappings": [
{
"column": "<string>",
"idType": "<string>"
}
]
}"Internal Server Error"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the model
Response
Ok
A model's Match Booster configuration.
Whether Match Booster enrichment is enabled for the model.
The model that carries the Match Booster settings. For audience models this is the parent model; configuration changes must target it directly.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?